Subject: PMP> TECHNICAL error in prtLocalizationLanguage in Printer MIB v2 [siz e is wrong]

From: "McDonald, Ira" <[email-masked]>
Date: Thu, 28 Dec 2000 12:16:33 -0800

Hi Folks,

Here's a much more serious problem with Printer MIB v2 and
Printer MIB v1 (RFC 1759).

'prtLocalizationLanguage' has syntax 'OCTET STRING (SIZE (0..2))'.

But ISO-639 (ISO language codes) has been revised.  The new part
ISO-639-2 now defines some THREE-character language codes (e.g.,
'hwi' Hawaiian) WITHOUT corresponding TWO-character codes.
There will be many more THREE-character language codes assigned
in the future (the space was running out in TWO-character codes).

So there are valid language tags that CANNOT be expressed with
the Printer MIB.  I suggest we expand the syntax to '(SIZE (0..3))'.

RFC 1766 (Internet Language Tags) has been revised (partly for this
problem) and is now in the RFC Editor's queue in final form in:

ftp://ftp.ietf.org/internet-drafts/draft-alvestrand-lang-tag-v2-05.txt

Comments?

Cheers,
- Ira McDonald, consulting architect at Sharp and Xerox
  High North Inc

PS - So far, the equivalent problem doesn't seem to have arisen
with respect to COUNTRY codes (ISO 3166), but it seems inevitable
in the future.  Perhaps we should just expand both of these objects
to '(SIZE (0..8))' and fix the problem permanently?